# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MMenu

Packages that use MMenu
Package
Description
org.eclipse.e4.ui.model.application.descriptor.basic
Application programming interfaces describing the Eclipse 4 descriptor model elements.
org.eclipse.e4.ui.model.application.descriptor.basic.impl
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of MMenu in org.eclipse.e4.ui.model.application.descriptor.basic

Methods in org.eclipse.e4.ui.model.application.descriptor.basic that return types with arguments of type MMenu
Modifier and Type
Method
Description
`List<MMenu>`
MPartDescriptor.`getMenus()`
Returns the value of the 'Menus' containment reference list.

## Uses of MMenu in org.eclipse.e4.ui.model.application.descriptor.basic.impl

Fields in org.eclipse.e4.ui.model.application.descriptor.basic.impl with type parameters of type MMenu
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MMenu>`
PartDescriptorImpl.`menus`
The cached value of the '`Menus`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.descriptor.basic.impl that return types with arguments of type MMenu
Modifier and Type
Method
Description
`List<MMenu>`
PartDescriptorImpl.`getMenus()`

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.basic

Methods in org.eclipse.e4.ui.model.application.ui.basic that return MMenu
Modifier and Type
Method
Description
`MMenu`
MWindow.`getMainMenu()`
Returns the value of the 'Main Menu' containment reference.
Methods in org.eclipse.e4.ui.model.application.ui.basic that return types with arguments of type MMenu
Modifier and Type
Method
Description
`List<MMenu>`
MPart.`getMenus()`
Returns the value of the 'Menus' containment reference list.
Methods in org.eclipse.e4.ui.model.application.ui.basic with parameters of type MMenu
Modifier and Type
Method
Description
`void`
MWindow.`setMainMenu(MMenu value)`
Sets the value of the '`Main Menu`' containment reference.

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.basic.impl

Fields in org.eclipse.e4.ui.model.application.ui.basic.impl declared as MMenu
Modifier and Type
Field
Description
`protected MMenu`
WindowImpl.`mainMenu`
The cached value of the '`Main Menu`' containment reference.
Fields in org.eclipse.e4.ui.model.application.ui.basic.impl with type parameters of type MMenu
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MMenu>`
PartImpl.`menus`
The cached value of the '`Menus`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return MMenu
Modifier and Type
Method
Description
`MMenu`
WindowImpl.`getMainMenu()`
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return types with arguments of type MMenu
Modifier and Type
Method
Description
`List<MMenu>`
PartImpl.`getMenus()`
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl with parameters of type MMenu
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
WindowImpl.`basicSetMainMenu(MMenu newMainMenu, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
WindowImpl.`setMainMenu(MMenu newMainMenu)`

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.menu

Subinterfaces of MMenu in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MPopupMenu`
A representation of the model object 'Popup Menu'.
Methods in org.eclipse.e4.ui.model.application.ui.menu that return MMenu
Modifier and Type
Method
Description
`MMenu`
MMenuFactory.`createMenu()`
Returns a new object of class 'Menu'.
`MMenu`
MToolItem.`getMenu()`
Returns the value of the 'Menu' containment reference.
Methods in org.eclipse.e4.ui.model.application.ui.menu with parameters of type MMenu
Modifier and Type
Method
Description
`void`
MToolItem.`setMenu(MMenu value)`
Sets the value of the '`Menu`' containment reference.

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MMenu
Modifier and Type
Class
Description
`class`
`MenuImpl`
An implementation of the model object 'Menu'.
`class`
`PopupMenuImpl`
An implementation of the model object 'Popup Menu'.
Fields in org.eclipse.e4.ui.model.application.ui.menu.impl declared as MMenu
Modifier and Type
Field
Description
`protected MMenu`
ToolItemImpl.`menu`
The cached value of the '`Menu`' containment reference.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MMenu
Modifier and Type
Method
Description
`MMenu`
MenuFactoryImpl.`createMenu()`
`MMenu`
ToolItemImpl.`getMenu()`
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl with parameters of type MMenu
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ToolItemImpl.`basicSetMenu(MMenu newMenu, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ToolItemImpl.`setMenu(MMenu newMenu)`

## Uses of MMenu in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MMenu
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseMenu(MMenu object)`
Returns the result of interpreting the object as an instance of 'Menu'.

## Uses of MMenu in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return MMenu
Modifier and Type
Method
Description
`MMenu`
MenuManagerRenderer.`getMenuModel(MenuManager manager)`
`static MMenu`
StackRenderer.`getViewMenu(MPart part)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MMenu
Modifier and Type
Method
Description
`void`
MenuManagerRenderer.`cleanUp(MMenu menuModel)`
`void`
MenuManagerRenderer.`clearModelToManager(MMenu model, MenuManager manager)`
`static void`
MenuManagerRendererFilter.`collectInfo(ExpressionInfo info, MMenu menuModel, MenuManagerRenderer renderer, IEclipseContext evalContext, boolean recurse)`
`MenuManager`
MenuManagerRenderer.`getManager(MMenu model)`
`protected Menu`
AbstractContributionItem.`getMenu(MMenu mmenu, ToolItem toolItem)`
`void`
MenuManagerRenderer.`linkModelToManager(MMenu model, MenuManager manager)`
`void`
MenuManagerRenderer.`processContributions(MMenu menuModel, String elementId, boolean isMenuBar, boolean isPopup)`
`void`
MenuManagerRenderer.`reconcileManagerToModel(MenuManager menuManager, MMenu menuModel)`
`void`
MenuManagerRenderer.`removeDynamicMenuContributions(MenuManager menuManager, MMenu menuModel)`
Remove all dynamic contribution items and their model for the MenuManager specified.
`void`
MenuManagerRenderer.`removeDynamicMenuContributions(MenuManager menuManager, MMenu menuModel, List<MMenuElement> dump)`
Clean dynamic menu contributions provided by `MDynamicMenuContribution` application model elements
`static void`
MenuManagerRendererFilter.`updateElementVisibility(MMenu menuModel, MenuManagerRenderer renderer, MenuManager menuManager, IEclipseContext evalContext, int recurseLevel, boolean updateEnablement)`
Constructors in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MMenu
Modifier
Constructor
Description
``
`ContributionRecord(MMenu menuModel, MMenuContribution contribution, MenuManagerRenderer renderer)`